## org.apache.batik.gvt.text
Interface TextLayoutFactory

All Known Implementing Classes:
  ConcreteTextLayoutFactory

public interface TextLayoutFactory

Interface implemented by factory instances that can return TextSpanLayouts appropriate to AttributedCharacterIterator instances.

See Also:
  `TextSpanLayout`

Method Summary
`TextSpanLayout` `createTextLayout(java.text.AttributedCharacterIterator aci, int[] charMap, java.awt.geom.Point2D offset, java.awt.font.FontRenderContext frc)` Returns an instance of TextSpanLayout suitable for rendering the AttributedCharacterIterator.

Method Detail

### createTextLayout

    public TextSpanLayout createTextLayout(java.text.AttributedCharacterIterator aci,
                                           int[] charMap,
                                           java.awt.geom.Point2D offset,
                                           java.awt.font.FontRenderContext frc)

  Returns an instance of TextSpanLayout suitable for rendering the AttributedCharacterIterator.

  Parameters:
    `aci` - the character iterator to be laid out
    `charMap` - Indicates how chars in aci map to original text char array.
    `offset` - The offset position for the text layout.
    `frc` - the rendering context for the fonts used.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.